Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::pdf::WatermarkTextProperties Class Reference

Inherits Object.

## Public Types
enum | FontStyle { e_FontStyleNormal = 0, e_FontStyleUnderline = 1 }
| Enumeration for watermark font style. More...

## Public Member Functions
| WatermarkTextProperties ()
| Constructor.
| WatermarkTextProperties (const common::Font &font, float font_size, RGB color, FontStyle style, float line_space, foxit::common ::Alignment alignment)
| Constructor, with parameters. More...
| WatermarkTextProperties (const WatermarkTextProperties &properties)
| Constructor, with another watermark text properties object. More...
WatermarkTextProperties & | operator= (const WatermarkTextProperties &properties)
| Assign operator. More...
void | Set (const common::Font &font, float font_size, RGB color, FontStyle style, float line_space, foxit::common ::Alignment alignment)
| Set value. More...

## Public Attributes
foxit::common ::Alignment | alignment
| Text horizontal alignment. The default value is common::e_AlignmentLeft. More...
RGB | color
| Text color. Format: 0xRRGGBB. The default value is 0x000000.
common::Font | font
| A font object used for the text.
float | font_size
| Font size in points. The default value is 24.0.
FontStyle | font_style
| Font style.The default value is WatermarkTextProperties::e_FontStyleNormal. More...
float | line_space
| Space between vertical center of lines, in line heights. The default value is 1.0. More...

## Detailed Description

This class represents the watermark text settings used to construct a watermark object from text.

## Member Enumeration Documentation

## ◆ FontStyle

enum foxit::pdf::WatermarkTextProperties::FontStyle

Enumeration for watermark font style.

Values of this enumeration should be used alone.

Enumerator
e_FontStyleNormal | Watermark font style: normal.
e_FontStyleUnderline | Watermark font style: with underline.

## Constructor & Destructor Documentation

## ◆ WatermarkTextProperties() [1/2]

foxit::pdf::WatermarkTextProperties::WatermarkTextProperties | ( | const common::Font & | font,
|  | float | font_size,
|  | RGB | color,
|  | FontStyle | style,
|  | float | line_space,
|  | foxit::common ::Alignment | alignment
| ) |  |
| inline

Constructor, with parameters.

The parameters line_space and alignment don't support tiled watermark, and will have no effect after setting.

Parameters

  [in] | font | A valid font object used for the text.
  [in] | font_size | Font size in points.
  [in] | color | Text color. Format: 0xRRGGBB.
  [in] | style | Font style. It should be one of the following values: WatermarkTextProperties::e_FontStyleNormal WatermarkTextProperties::e_FontStyleUnderline
  [in] | line_space | Space between vertical center of lines, in line heights. This value specifies the multiple of line heights for the space between vertical center of lines. Valid range: from 0 to 10 (not including 0 but including 10). If this value is above 10, 10 will be used as default for the text watermark.
  [in] | alignment | Text horizontal alignment. It should be one of the following values: common::e_AlignmentLeft common::e_AlignmentCenter common::e_AlignmentRight

## ◆ WatermarkTextProperties() [2/2]

foxit::pdf::WatermarkTextProperties::WatermarkTextProperties | ( | const WatermarkTextProperties & | properties | ) |
| inline

Constructor, with another watermark text properties object.

Parameters

  [in] | properties | Another watermark text properties object.

## Member Function Documentation

## ◆ operator=()

WatermarkTextProperties& foxit::pdf::WatermarkTextProperties::operator= | ( | const WatermarkTextProperties & | properties | ) |
| inline

Assign operator.

Parameters

  [in] | properties | Another watermark text properties object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::pdf::WatermarkTextProperties::Set | ( | const common::Font & | font,
|  | float | font_size,
|  | RGB | color,
|  | FontStyle | style,
|  | float | line_space,
|  | foxit::common ::Alignment | alignment
| ) |  |
| inline

Set value.

The parameters line_space and alignment don't support tiled watermark, and will have no effect after setting.

Parameters

  [in] | font | A valid font object used for the text.
  [in] | font_size | Font size in points.
  [in] | color | Text color. Format: 0xRRGGBB.
  [in] | style | Font style. It should be one of the following values: WatermarkTextProperties::e_FontStyleNormal WatermarkTextProperties::e_FontStyleUnderline
  [in] | line_space | Space between vertical center of lines, in line heights. This value specifies the multiple of line heights for the space between vertical center of lines. Valid range: from 0 to 10 (not including 0 but including 10). If this value is above 10, 10 will be used as default for the text watermark.
  [in] | alignment | Text horizontal alignment. It should be one of the following values: common::e_AlignmentLeft common::e_AlignmentCenter common::e_AlignmentRight

Returns
  None.

## Member Data Documentation

## ◆ alignment

foxit::common ::Alignment foxit::pdf::WatermarkTextProperties::alignment

Text horizontal alignment. The default value is common::e_AlignmentLeft.

It should be one of the following macro definitions:

- common::e_AlignmentLeft
- common::e_AlignmentCenter
- common::e_AlignmentRight

## ◆ font_style

FontStyle foxit::pdf::WatermarkTextProperties::font_style

Font style.The default value is WatermarkTextProperties::e_FontStyleNormal.

It should be one of the following values:

- WatermarkTextProperties::e_FontStyleNormal
- WatermarkTextProperties::e_FontStyleUnderline

## ◆ line_space

float foxit::pdf::WatermarkTextProperties::line_space

Space between vertical center of lines, in line heights. The default value is 1.0.

This value is used to specify the multiple of line heights for the space between vertical center of lines. Valid range: from 0 to 10 (not including 0 but including 10). If this value is above 10, 10 will be used as default for the text watermark.